Solar Orbiter LFR - Bug #470
Bug # 471 (New): Bistream 1.1.85 issues

Bistream 1.1.85 snapshots non générés
Description

Les snapshots ne sont plus générés si la période de génération est changée.
Le comportement est observé avec les softs de vol 3.0.0, 3.0.3 et 3.0.8.
Avec le bistream 1.1.83c, ce comportement n'est pas observé, les snapshots sont générés de maniére nominale.

D'autre part sur le bitstream 1.1.85, le coarstime ne semble pas s'incrémenter correctement, a chaque transition il passe rapidement
par de mauvaises valeurs avant de se stabiliser sur la bonne.

Par exemple pour passer de 0x005 a 0x006 il va passer par 0x001 0x004 pendant quelques fractions de secondes avant de se
stabiliser a 0x006.

History

#1 -17/07/2015 11:50 AM - Alexis Jeandet
- Parent task set to #471

#2 - 17/07/2015 08:23 PM - Alexis Jeandet
- File snapshots_298secondes.png added

- File snapshots_16secondes.png added

- File snapshots_296secondes.png added

Apres vérification, il n'y a pas de bug sur I'incrémentation du temps.

Par contre il semblerait que certains registres supprimés n'étaient pas constants.
LFR_WP_DELTASNAPSHOT

LFR_WP_DELTA_FO0

LFR_WP_DELTA_F0_2

LFR_WP_DELTA_F1

LFR_WP_DELTA_F2

LFR_WP_DATA_IN_BUFFER

LFR_WP_NBSNAPSHOT

LFR_WP_START_DATE

Le constat pour le moment, c'est que si on configure une période de 300 ou 600 secondes on obtient bien des snapsshots alors que pour moins de
298 on en obtient pas.

Quand on change la période des snapshots, ces registres sont modifiés:

e Avec une période de 298 secondes(cela fonctionne):
snapshots_298secondes.png

e Avec une période de 16 secondes(cela ne marche pas):
snapshots_16secondes.png

e Avec une période de 296 secondes(cela ne marche pas):
snapshots_296secondes.png

#3 - 17/07/2015 08:31 PM - Alexis Jeandet

Avec 297 secondes ¢a fonctionne, la limite semble donc étre de 297 secondes.

#4 - 19/07/2015 03:00 PM - Alexis Jeandet
- Status changed from New to Resolved

Le bitstream 1.1.87 semble résoudre le probleéme, avec 16 et 32 secondes comme période de snapshots ¢a fonctionne.
